Subject: [RFT/PATCH] serial: omap: prevent resume if device is not suspended.

From: [email-masked] (Tony Lindgren)
Date: Fri, 12 Oct 2012 14:51:56 -0700

* Kevin Hilman <[email-masked]> [121012 13:34]:
>
> I'm not conviced (yet) that a mismatch is the root cause.  Yes, that's
> what the author of $SUBJECT patch assumed and stated, but I'm not
> pursuaded.  
> 
> If it's an improperly configured mux issue, then the UART will break
> whenever the device is actually omap_device_enable'd, whether in the
> driver or in the bus layer.

I tried booting n800 here with CONFIG_OMAP_MUX disabled, and no
change. Serial console output stops right when the console initializes.

Regards,

Tony